Bug 1266762 - Gnome Shell stops responding when multiple windows opened
Gnome Shell stops responding when multiple windows opened
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
24
All Linux
unspecified Severity high
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-27 10:01 EDT by Richard Bradfield
Modified: 2017-08-08 08:16 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:16:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 755696 None None None Never

  None (edit)
Description Richard Bradfield 2015-09-27 10:01:08 EDT
Description of problem:

Upon booting the machine and logging in, I am able to open a single window/application and work normally.
Opening a second application and attempting to change focus between the two will almost invariably result in gnome-shell ceasing to respond to mouse and (most) keyboard input.

The two running applications mostly continue to function normally, although some mouse input is impaired (clicking some UI elements does nothing, it is impossible to drag windows or change focus with the mouse).

When I say "most keyboard input", it is still possible to switch window focus using Alt-Tab and Alt-`, and when you do this the mouse works within the newly focused window. However no other shell functionality works, Super-key, Alt-F2 etc are all non functional. It is also impossible to click the top bar or any tray icons.


Version-Release number of selected component (if applicable):
Latest: Rawhide
gnome-shell-3.18.0-1.fc24.x86_64
gdm-3.18.0-1.fc24.x86_64

Also present in F22 and F23 beta.

How reproducible:
Always

Steps to Reproduce:
1. Boot machine, login.
2. Open an application (eg terminal), then a second application (eg Chrome).
3. Attempt to change focus between the windows with the mouse (sometimes requires some fiddling, dragging a window around is reliable, as is operating a menu structure.

Actual results:
Gnome shell stops responding to mouse and keyboard input except alt-tab

Expected results:
Normal operation.


Additional info:
Curiously, it is possible to avoid this bug by immediately logging out and back in again upon first boot, the shell then functions normally until the machine is next rebooted.

I don't believe this is a regression, it's been around for a long time, using the above workaround has allowed me to keep working (hence why I am only filing a bug now).

This is reported upstream as indicated in the External Bug field.
Comment 1 Jan Kurik 2016-02-24 10:31:25 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 2 Fedora End Of Life 2017-07-25 15:19:28 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2017-08-08 08:16:30 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.